<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Rest API &mdash; Xuc 2.0.7 documentation</title>
    
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '2.0.7',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="Xuc 2.0.7 documentation" href="../index.html" />
    <link rel="prev" title="Javascript API" href="javascriptapi.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="javascriptapi.html" title="Javascript API"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="rest-api">
<h1>Rest API<a class="headerlink" href="#rest-api" title="Permalink to this headline">¶</a></h1>
<div class="section" id="general-form">
<h2>General form<a class="headerlink" href="#general-form" title="Permalink to this headline">¶</a></h2>
<blockquote>
<div><p><a class="reference external" href="http://localhost:$xucport/xuc/api/1.0/$method/$domain/$username/">http://localhost:$xucport/xuc/api/1.0/$method/$domain/$username/</a></p>
<p>withHeaders((&#8220;Content-Type&#8221;, &#8220;application/json&#8221;))</p>
<ul class="simple">
<li>$xucport : Xuc port number (default 9000)</li>
<li>$method : See available methods below</li>
<li>$domain : Represents a connection site, can be anything</li>
<li>$username : XiVO client user username</li>
</ul>
</div></blockquote>
</div>
<div class="section" id="events">
<h2>Events<a class="headerlink" href="#events" title="Permalink to this headline">¶</a></h2>
<blockquote>
<div>Xuc post JSON formated events on URL <tt class="docutils literal"><span class="pre">eventUrl</span> <span class="pre">=</span> <span class="pre">&quot;http://localhost:9090/xivo/1.0/event/avencall.com/dropbox/&quot;</span></tt>
configured in /usr/share/xuc/application.conf</div></blockquote>
</div>
<div class="section" id="connection">
<h2>Connection<a class="headerlink" href="#connection" title="Permalink to this headline">¶</a></h2>
<blockquote>
<div>POST <a class="reference external" href="http://localhost:$xucport/xuc/api/1.0/connect/$domain/$username/">http://localhost:$xucport/xuc/api/1.0/connect/$domain/$username/</a></div></blockquote>
<div class="highlight-python"><div class="highlight"><pre><span class="p">{</span><span class="s">&quot;password&quot;</span> <span class="p">:</span> <span class="s">&quot;password&quot;</span><span class="p">}</span>
</pre></div>
</div>
</div>
<div class="section" id="dnd">
<h2>DND<a class="headerlink" href="#dnd" title="Permalink to this headline">¶</a></h2>
<blockquote>
<div>POST <a class="reference external" href="http://localhost:$xucport/xuc/api/1.0/dnd/$domain/$username/">http://localhost:$xucport/xuc/api/1.0/dnd/$domain/$username/</a></div></blockquote>
<div class="highlight-python"><div class="highlight"><pre><span class="p">{</span><span class="s">&quot;state&quot;</span> <span class="p">:</span> <span class="p">[</span><span class="n">false</span><span class="o">|</span><span class="n">true</span><span class="p">]}</span>
</pre></div>
</div>
</div>
<div class="section" id="dial">
<h2>Dial<a class="headerlink" href="#dial" title="Permalink to this headline">¶</a></h2>
<blockquote>
<div>POST <a class="reference external" href="http://localhost:$xucport/xuc/api/1.0/dial/$domain/$username/">http://localhost:$xucport/xuc/api/1.0/dial/$domain/$username/</a></div></blockquote>
<div class="highlight-python"><div class="highlight"><pre><span class="p">{</span><span class="s">&quot;number&quot;</span> <span class="p">:</span> <span class="s">&quot;1101&quot;</span><span class="p">}</span>
</pre></div>
</div>
</div>
<div class="section" id="forward">
<h2>Forward<a class="headerlink" href="#forward" title="Permalink to this headline">¶</a></h2>
<p>All forward commands use the above payload:</p>
<div class="highlight-python"><div class="highlight"><pre>{&quot;state&quot; : [true|false],
  &quot;destination&quot; : &quot;1102&quot;)
</pre></div>
</div>
<div class="section" id="unconditionnal">
<h3>Unconditionnal<a class="headerlink" href="#unconditionnal" title="Permalink to this headline">¶</a></h3>
<blockquote>
<div>POST <a class="reference external" href="http://localhost:$xucport/xuc/api/1.0/uncForward/$domain/$username/">http://localhost:$xucport/xuc/api/1.0/uncForward/$domain/$username/</a></div></blockquote>
</div>
<div class="section" id="on-no-answer">
<h3>On No Answer<a class="headerlink" href="#on-no-answer" title="Permalink to this headline">¶</a></h3>
<blockquote>
<div>POST <a class="reference external" href="http://localhost:$xucport/xuc/api/1.0/naForward/$domain/$username/">http://localhost:$xucport/xuc/api/1.0/naForward/$domain/$username/</a></div></blockquote>
</div>
<div class="section" id="on-busy">
<h3>On Busy<a class="headerlink" href="#on-busy" title="Permalink to this headline">¶</a></h3>
<blockquote>
<div>POST <a class="reference external" href="http://localhost:$xucport/xuc/api/1.0/busyForward/$domain/$username/">http://localhost:$xucport/xuc/api/1.0/busyForward/$domain/$username/</a></div></blockquote>
</div>
</div>
<div class="section" id="handshake">
<h2>Handshake<a class="headerlink" href="#handshake" title="Permalink to this headline">¶</a></h2>
<p>Will repost all events on the configured URL</p>
<blockquote>
<div>POST <a class="reference external" href="http://localhost:$xucport/xuc/api/1.0/handshake/$domain/">http://localhost:$xucport/xuc/api/1.0/handshake/$domain/</a></div></blockquote>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Rest API</a><ul>
<li><a class="reference internal" href="#general-form">General form</a></li>
<li><a class="reference internal" href="#events">Events</a></li>
<li><a class="reference internal" href="#connection">Connection</a></li>
<li><a class="reference internal" href="#dnd">DND</a></li>
<li><a class="reference internal" href="#dial">Dial</a></li>
<li><a class="reference internal" href="#forward">Forward</a><ul>
<li><a class="reference internal" href="#unconditionnal">Unconditionnal</a></li>
<li><a class="reference internal" href="#on-no-answer">On No Answer</a></li>
<li><a class="reference internal" href="#on-busy">On Busy</a></li>
</ul>
</li>
<li><a class="reference internal" href="#handshake">Handshake</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="javascriptapi.html"
                        title="previous chapter">Javascript API</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/api/rest.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="javascriptapi.html" title="Javascript API"
             >previous</a> |</li>
        <li><a href="../index.html">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2013-2014, Avencall.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>